| antigenic

## Function

Generate an HTML table of parameters from an application ACD file

## Description

acdtable is used to create the table of parameters, allowed values and defaults, used in the application documentation and to provide user help.

## Usage

Here is a sample session with acdtable

    % acdtable antigenic

    Standard (Mandatory) qualifiers
    Allowed values
    Default

    [-sequence]
    (Parameter 1)
    Protein sequence(s) filename and optional format, or reference (input USA)
    Readable sequence(s)
    Required

    -minlen
    Minimum length of antigenic region
    Integer from 1 to 50
    6

    [-outfile]
    (Parameter 2)
    Output report file name
    Report output file
    <*>.antigenic

    Additional (Optional) qualifiers
    Allowed values
    Default

    (none)

    Advanced (Unprompted) qualifiers
    Allowed values
    Default

    (none)

## Command line arguments

The first parameter is the name of the program to compile. All other command line parameters and qualifiers are defined for that program - see the documentation for the program of choice.

## Output file format

The output file is empty, but any format available to the specified program can be used.

## Data files

Acdtable will use any data files specified in the ACD file of the specified program, but will ignore any data files that are only used directly by the program's code.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

acdtable does not have its own options, but takes a single parameter which is the name of the EMBOSS application that is being testsed. It is invoked by specifying the name of the application to be tested after the name of the utility application itself:

acdtable ApplicationName

Acceptable expected and default values can be generated automatically for most ACD datatypes. In other cases, the allowed values is defined with the `valid:` global attribute, and the default value by the expected: global attribute (see EMBOSS Developers Manual).

## References

## Warnings

None.

## Diagnostic Error Messages

## Exit status

It exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
acdc | Test an application ACD file
acdpretty | Correctly reformat an application ACD file
acdtrace | Trace processing of an application ACD file (for testing)
acdvalid | Validate an application ACD file

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

## Target users

This program is intended to be used by developers of applications and interfaces.

## Comments

None